import os
import PIL.Image as Image

def rev(im):
    # negatif image couleur
    pix = im.load()
    for i in range(0, im.size[0]):
        for j in range(0, im.size[1]):
            r,v,b = pix[i,j]
            pixels[i,j] = 255 - r,255 - v,255 - b
    im.save(r'tigre_rev.png')

def couleur_vers_gris(src):
    dst1 = Image.new("L", src.size)
    dst2 = Image.new("L", src.size)
    # negatif image couleur
    pix_src = src.load()
    pix_dst1 = dst1.load()
    pix_dst2 = dst2.load()

    for i in range(0, src.size[0]):
        for j in range(0, src.size[1]):
            r,v,b = pix_src[i,j]
            pix_dst1[i,j] = int((r*0.299) + (v*0.587) + (b*0.114))
            pix_dst2[i,j] = int((r+v+b) / 3)
    return (dst1, dst2)

#ouverture en mode raw (r) : pas d'unicode !
img = Image.open(r'tigre.jpg')

print(os.getcwd())

#dimensions image
print(img.size)

#poids image
print(img.size[0] * img.size[1])
#print(img.info)

#acces a un pixel de l'image
pixels = img.load()
print(pixels[0,0])

#conversion couleur
#rev(img)
(nb1, nb2) = couleur_vers_gris(img)   #creation image niveau de gris 1 octet
